package wacomtablet
Closed, ResolvedPublic

jriddell created this task.May 4 2017, 6:39 PM
jriddell closed this task as Wontfix.May 10 2017, 2:54 PM
jriddell claimed this task.

discussed with wacomtablet committers. it's unmaintained and only gets the occasional commit. Needs someone to take the lead and maintain it. closing for now

Hello
I should note that

  • Arch, Gentoo and even Fedora do package the branch releng3.0
  • It's frustrating that wacom tablets are supported but can not be used with KDE
  • There are tablet PC that are using an embedded wacom as mouse replace and they can not be used with KDE 5
sitter added a subscriber: sitter.Aug 3 2017, 8:17 AM

KDE is a community. It cannot be used, nor has it a version 5. What you mean to say is KDE Plasma, which is a product made by KDE.

Hello

Wacomtablet 2.9.82 (3.0.0 beta 2) has been recently released: https://download.kde.org/unstable/wacomtablet/2.9.82/wacomtablet-2.9.82.tar.xz.mirrorlist

I have commit access now and I'm going to be maintaining the package to some degree. Is anything else needed to make you reconsider packaging it for Neon?

jriddell reassigned this task from jriddell to scarlettclark.Jan 3 2018, 2:25 PM
jriddell reopened this task as Open.
jriddell updated the task description. (Show Details)

Great, well done on taking it on.

Please delete the debian/ directory in the KDE git source, it's confusing to have it there and messes with packaging it. (Debian packaging is at https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kcm-tablet.git )

Could we decide on one name? KDE name is wacomtablet but in Debian the source is kcm-tablet while the binary is kde-config-tablet. I guess wacomtablet is considered too generic.

Scarlett could you take on adding this into Neon dev unstable?

minor point but it's confusing having the translations in a directory called locale/, it would be better to put them in po/ which is used by most everything else in KDE

scarlettclark moved this task from Discussing to Review on the Neon board.Jan 9 2018, 2:36 PM

All green, please review. Also someone with a tablet should test..

https://build.neon.kde.org/job/xenial_unstable_kde-extras_kcm-tablet/8/

tassos added a subscriber: tassos.Jan 13 2018, 11:44 AM
januz added a subscriber: januz.Jan 13 2018, 9:54 PM

I have commit access now and I'm going to be maintaining the package to some degree. Is anything else needed to make you reconsider packaging it for Neon?

Thank very much you for picking this up.

Can we ship this with the system settings by default? Is there any criteria or roadblock for not shipping this.

I built it and it is running fine for me on wacom intuos 4 medium.

Have one question, this seems to be based on xf86-wacom drivers is there any plan to make it work or use libinput if it is not using it already?

sorry one more question. is this only for Wacom or other tablets are also supported.

Thanks everyone! Really excited to see this happening. Is this just for Neon, or is it the kind of thing where once it's in Neon, it's effectively available for other distros to package as well, and we can expect it to eventually show up in subsequent versions of Arch, Fedora, Kubuntu, etc?

I just tried the module in Archlinux, from its AUR repository (builds from git master). And its working.

I have a Huion 1060pro+ (first edition) which is working fine with only libinput, and its buttons (8 real of 12 visible) work also and are remap-able with the xsetwacom utility, thus the configuration module does works with this Huion tablet and likely with some other previous models as well.

By default the module can't detect it as there is no profile for it, using the kde_wacom_tabletfinder finds it and creates the profile for it. the only issue is that is not able to map correctly the buttons giving "hardware button 0" to all of the buttons, manually correcting it on the "tabletdblocalrc" renders finally the button configuration usable on the module in the system settings. Stylus buttons worked without issues.

@kamathraghavendra I guess we can assume that just like the xsetwacom utility, this supports some other non wacom models.

jriddell closed this task as Resolved.Feb 15 2018, 12:32 PM

Closing this as it's in Neon Developer Unstable edition. It needs a release made to get into user editions, there's a beta release out so the maintainer seems to know what he's doing. It might also be suitable to release along with Plamsa.

doray added a subscriber: doray.Feb 15 2019, 6:40 PM

Hi everybody,
I've done a fresh install of Kubuntu
I can't find wacomtablet or kcm-tablet on muon nor at https://build.neon.kde.org/job/xenial_unstable_kde-extras_kcm-tablet/8/

Does anyone know where I could find it?